# Type Alias Handler

Handler: (
agent: SolanaAgentKit ,
input: Record<string, any>,
) => Promise<Record<string, any>>

Handler function type for executing the action

#### Type declaration

- - (
    agent: SolanaAgentKit ,
    input: Record<string, any>,
    ): Promise<Record<string, any>>

  - #### Parameters

    - agent: SolanaAgentKit
    - input: Record<string, any>

    #### Returns Promise<Record<string, any>>

- Defined in src/types/index.ts:119